<ng-container *ngIf="selected && menuActive">
  <p-chip styleClass="chip-selected menu-active">
    <div class="chip-label">{{ label }}</div>
    <span class="pl-2">
      <button 
      class="p-ripple p-element p-button p-component p-button-icon-only p-button-text options-button" 
      type="button"
      (click)="menu.toggle($event)"
      >
      <span class="pi pi-ellipsis-h"></span>
    </button>
  </span>
  </p-chip>
</ng-container>
<ng-container *ngIf="!selected && menuActive">
  <p-chip styleClass="menu-active">
    <div class="chip-label">{{ label }}</div>
    <p-button
      type="button"
      icon="pi pi-ellipsis-h"
      class="pl-2"
      [text]="true"
      styleClass="options-button" 
      (click)="menu.toggle($event)"
    ></p-button>
  </p-chip>
</ng-container>
<ng-container *ngIf="selected && !menuActive">
  <p-chip styleClass="chip-selected">
    <div class="chip-label">{{ label }}</div>
  </p-chip>
</ng-container>
<ng-container *ngIf="!selected && !menuActive">
  <p-chip (click)="selectFiltersPreset()">
    <div class="chip-label">{{ label }}</div>
  </p-chip>
</ng-container>
<p-menu #menu [model]="menuItems" [popup]="true" [tabindex]="undefined" appendTo="body"></p-menu>
